# NCollection_DefineHArray2.hxx File Reference

`#include <Standard_DefineHandle.hxx>`
`#include <NCollection_DefineArray2.hxx>`
`#include <MMgt_TShared.hxx>`

## Defines

#define | DEFINE_HARRAY2(HClassName, _Array2Type_)
#define | IMPLEMENT_HARRAY2(HClassName)

## Define Documentation

#define DEFINE_HARRAY2 | ( | HClassName,
|  | _Array2Type_ |  | ) |

#define IMPLEMENT_HARRAY2 | ( | HClassName |  | ) |

Value:

    IMPLEMENT_STANDARD_HANDLE  (HClassName, MMgt_TShared)                          \
    IMPLEMENT_STANDARD_RTTIEXT (HClassName, MMgt_TShared)